[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Discuss-gnuradio] GNU Radio and Mac OS X

From: Michael Dickens
Subject: [Discuss-gnuradio] GNU Radio and Mac OS X
Date: Tue, 20 Oct 2009 10:10:49 -0400

As of Oct 19, the latest GIT master of GNU Radio should be compatible with Mac OS X 10.4, 10.5, and 10.6, 32- or 64-bit compiling & execution (as allowed by the platform and XCode version), PPC or Intel -- with the sole exception that the GUIs may not work under 64-bit mode (on any version of OS X, not just 10.6). Might be tricky getting the various background libraries and such installed on 10.4, but it should be doable.

If you're using MacPorts to install GNU Radio (e.g., "sudo port install gnuradio"), it currently installs version 3.2.0, and the USRP component won't work because libusb 0.1.12 was renamed to 'libusb- legacy' -- the GIT master checks for this now & works correctly. Other than that I think at least on 32-bit 10.4, 10.5, and 10.6 this way of installing GNU Radio (except QtGUI, but that's for another day) should work "out of the box" with the latest MacPorts.

If you're an OSX user of GNU Radio, please do test out the latest GIT master for yourself to verify that it (still) works; and if not, we'll work on fixing whatever issues come up if you let the list know. - MLD

reply via email to

[Prev in Thread] Current Thread [Next in Thread]